ports/159340: [patch] emulators/bochs: CFLAGS needs -I${LOCALBASE}/include if alsalib is installed

Joel Ray Holveck joelh at piquan.org
Mon Aug 1 23:13:08 UTC 2011


On Aug 1, 2011, at 11:25, arved at FreeBSD.org wrote:

> If the port compiles against alsa-lib, it needs a dependency on alsalib.
> Can you supply a patch, that adds this dependency?

The port will compile against alsa-lib if it's installed, but otherwise will work without it.  (There's not a corresponding configure argument.)  Should the dependency be conditional against a WITH_ALSA option (that has no effect other than add the dependency), or a .if exists conditional?

Thanks,
joelh


More information about the freebsd-ports-bugs mailing list